Bug 174989 - [PATCH] games/sauerbraten: Update to 20130104
Summary: [PATCH] games/sauerbraten: Update to 20130104
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 05:10 UTC by Sender Ghost
Modified: 2013-03-24 19:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.79 KB, patch)
2013-01-05 05:10 UTC, Sender Ghost
no flags Details | Diff
patch.txt (5.11 KB, text/plain; charset=UTF-8)
2013-01-07 14:12 UTC, lightside
no flags Details
patch.txt (5.05 KB, text/plain; charset=UTF-8)
2013-01-12 19:58 UTC, lightside
no flags Details
patch.txt (5.05 KB, text/plain; charset=UTF-8)
2013-01-17 01:28 UTC, lightside
no flags Details
patch.txt (8.80 KB, text/plain; charset=UTF-8)
2013-01-24 15:33 UTC, lightside
no flags Details
patch.txt (8.80 KB, text/plain; charset=UTF-8)
2013-01-29 04:55 UTC, lightside
no flags Details
patch.txt (8.80 KB, text/plain; charset=UTF-8)
2013-02-04 07:37 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sender Ghost 2013-01-05 05:10:00 UTC
Patch to update games/sauerbraten port from "Justice Edition" (20100728) to "Collect Edition" (20130104).

Look following link for changes:
http://sauerbraten.org/docs/history.html#_2013_01_04_collect_edition

Also the patch adds license information and desktop entry.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-05 05:10:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 lightside 2013-01-07 14:12:38 UTC
There is new update for "Collect Edition" release (20130107), which 
fixes bugs.

Also the patch converts Makefile to OptionsNG framework.

P.S.:
I changed e-mail address, because of b.barracudacentral.org for previous 
SMTP server.
Comment 3 lightside 2013-01-12 19:58:15 UTC
Raphael Kubo da Costa suggested to use OPTIONS_MULTI on ports/175092:
"in order to get rid of the `IGNORE' block at the beginning."

Also, Max Brazhnikov suggested some changes for DESKTOP_ENTRIES.

Therefore, there is new patch with these changes.
Comment 4 lightside 2013-01-17 01:28:37 UTC
There is new update for "Collect Edition" release (20130114).
Comment 5 lightside 2013-01-24 15:33:39 UTC
There is new update for "Collect Edition" release (20130120).

This time I changed launcher scripts and removed the need to create 
symlinks for data files (as games/redeclipse port's maintainer did).
Comment 6 lightside 2013-01-29 04:55:01 UTC
There is new update for "Collect Edition" release (20130126).
Comment 7 lightside 2013-02-04 07:37:52 UTC
There is new update for "Collect Edition" release (20130203).
Comment 8 Jose Alonso Cardenas Marquez freebsd_committer 2013-03-24 19:11:54 UTC
State Changed
From-To: open->closed

- Committed with few modifications, thanks!!
Comment 9 dfilter service freebsd_committer 2013-03-24 19:11:54 UTC
Author: acm
Date: Sun Mar 24 19:11:38 2013
New Revision: 315151
URL: http://svnweb.freebsd.org/changeset/ports/315151

Log:
  - Update to 20130203
  - Add LICENSE info
  - Add DESKTOP_ENTRIES
  - OptionsNG
  
  PR:		174989
  Submitted by:	Sender Ghost <lightside  at  safebox.ru>

Modified:
  head/games/sauerbraten/Makefile
  head/games/sauerbraten/distinfo
  head/games/sauerbraten/files/patch-src_Makefile
  head/games/sauerbraten/files/pkg-message.in
  head/games/sauerbraten/files/sauer_client.in
  head/games/sauerbraten/files/sauer_master.in
  head/games/sauerbraten/files/sauer_server.in

Modified: head/games/sauerbraten/Makefile
==============================================================================
--- head/games/sauerbraten/Makefile	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/Makefile	Sun Mar 24 19:11:38 2013	(r315151)
@@ -6,15 +6,18 @@
 #
 
 PORTNAME=	sauerbraten
-PORTVERSION=	20100728
-PORTREVISION=	2
+PORTVERSION=	20130203
+PORTREVISION=	0
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/2010_07_19
-DISTNAME=	${PORTNAME}_2010_07_28_justice_edition_linux
+MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/2013_01_04
+DISTNAME=	${PORTNAME}_2013_02_03_collect_edition_linux
 
 MAINTAINER=	acm@FreeBSD.org
 COMMENT=	First person shooter based on Cube
 
+LICENSE_COMB=	multi
+LICENSE=	MIT ZLIB
+
 USE_GMAKE=	yes
 GNU_CONFIGURE=	yes
 USE_BZIP2=	yes
@@ -31,31 +34,34 @@ MANUAL_PACKAGE_BUILD=	distfile exceeds p
 PORTDATA=	data packages
 PORTDOCS=	*
 
-OPTIONS=	CLIENT "Build client" on \
-		DEDICATED "Build dedicated server" on \
-		MASTER "Build master server" off
+OPTIONS_MULTI=	BUILD
+OPTIONS_MULTI_BUILD=	CLIENT DEDICATED MASTER
+OPTIONS_DEFAULT=	CLIENT DEDICATED
+CLIENT_DESC=	Build client
+DEDICATED_DESC=	Build dedicated server
+MASTER_DESC=	Build master server
 
 SUB_FILES=	sauer_client sauer_master sauer_server pkg-message
 
-.include <bsd.port.pre.mk>
-
-.if defined(WITHOUT_CLIENT) && defined(WITHOUT_DEDICATED) && defined(WITHOUT_MASTER)
-IGNORE=		needs at least one executable (CLIENT, DEDICATED or MASTER)
-.endif
+.include <bsd.port.options.mk>
 
-.if !defined(WITHOUT_CLIENT)
+.if ${PORT_OPTIONS:MCLIENT}
 USE_GL=		yes
 USE_SDL=	image mixer sdl
 ALL_TARGET+=	client
 SAUER_BIN+=	client
+
+DESKTOP_ENTRIES="Sauerbraten" "${COMMENT}" \
+			"${PREFIX}/share/${PORTNAME}/data/cube.png" "sauer_client" \
+				"Game;" false
 .endif
 
-.if !defined(WITHOUT_DEDICATED)
+.if ${PORT_OPTIONS:MDEDICATED}
 ALL_TARGET+=	server
 SAUER_BIN+=	server
 .endif
 
-.if !defined(WITHOUT_MASTER)
+.if ${PORT_OPTIONS:MMASTER}
 ALL_TARGET+=	master
 SAUER_BIN+=	master
 .endif
@@ -77,7 +83,7 @@ do-install:
 	${MKDIR} ${DATADIR}
 	cd ${WRKSRC} && ${COPYTREE_SHARE} "${PORTDATA}" ${DATADIR}
 .endif
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${DOCSDIR}
 .endif
@@ -91,4 +97,4 @@ post-install:
 	@${CAT} ${PKGMESSAGE}
 	@${ECHO_CMD}
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/games/sauerbraten/distinfo
==============================================================================
--- head/games/sauerbraten/distinfo	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/distinfo	Sun Mar 24 19:11:38 2013	(r315151)
@@ -1,2 +1,2 @@
-SHA256 (sauerbraten_2010_07_28_justice_edition_linux.tar.bz2) = 185e5dbf41a4426af5f692e49afa69237e23976ef3b368f43ec6aa19fb3cc86c
-SIZE (sauerbraten_2010_07_28_justice_edition_linux.tar.bz2) = 464652953
+SHA256 (sauerbraten_2013_02_03_collect_edition_linux.tar.bz2) = 45c20521e3e56374490b2d9112a211538e801cf0161197f35476b30b7b58a78e
+SIZE (sauerbraten_2013_02_03_collect_edition_linux.tar.bz2) = 589941180

Modified: head/games/sauerbraten/files/patch-src_Makefile
==============================================================================
--- head/games/sauerbraten/files/patch-src_Makefile	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/files/patch-src_Makefile	Sun Mar 24 19:11:38 2013	(r315151)
@@ -1,8 +1,8 @@
---- src/Makefile.orig	2010-05-14 01:30:28.000000000 +0700
-+++ src/Makefile	2010-09-24 18:44:00.000000000 +0700
+--- src/Makefile	2012-08-28 00:30:07.000000000 -0500
++++ src/Makefile	2013-03-24 00:38:04.000000000 -0500
 @@ -1,8 +1,7 @@
 -CXXFLAGS= -O3 -fomit-frame-pointer
- override CXXFLAGS+= -Wall -fsigned-char
+ override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti
  
  PLATFORM= $(shell uname -s)
 -PLATFORM_PREFIX= native
@@ -10,25 +10,25 @@
  
  INCLUDES= -Ishared -Iengine -Ifpsgame -Ienet/include
  
-@@ -20,8 +19,8 @@
- CLIENT_INCLUDES= $(INCLUDES) -Iinclude
- CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
+@@ -36,8 +35,8 @@
+ endif
+ CLIENT_LIBS= -mwindows $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lSDL -lSDL_image -lSDL_mixer -lzlib1 -lopengl32 -lenet -lws2_32 -lwinmm
  else	
 -CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
--CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
+-CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
 +CLIENT_INCLUDES= $(INCLUDES) `${SDL_CONFIG} --cflags` -I${LOCALBASE}/include
 +CLIENT_LIBS= -Lenet/.libs -lenet `${SDL_CONFIG} --libs` -L${LOCALBASE}/lib -lSDL_image -lSDL_mixer -lz -lGL
  endif
  ifeq ($(PLATFORM),Linux)
  CLIENT_LIBS+= -lrt
-@@ -90,8 +89,8 @@
- SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
- SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
+@@ -105,8 +104,8 @@
+ SERVER_LIBS= -mwindows $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
+ MASTER_LIBS= $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
  else
 -SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
 -SERVER_LIBS= -Lenet/.libs -lenet -lz
 +SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -I${LOCALBASE}/include
 +SERVER_LIBS= -Lenet/.libs -lenet -lz -L${LOCALBASE}/lib
+ MASTER_LIBS= $(SERVER_LIBS)
  endif
  SERVER_OBJS= \
- 	shared/crypto-standalone.o \

Modified: head/games/sauerbraten/files/pkg-message.in
==============================================================================
--- head/games/sauerbraten/files/pkg-message.in	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/files/pkg-message.in	Sun Mar 24 19:11:38 2013	(r315151)
@@ -1,11 +1,10 @@
 ###############################################################################
 
-1) First time, sauerbraten creates a ~/.sauerbraten directory with symlinks.
-2) Config files are in the ~/.sauerbraten directory.
-3) If you want add new bindings into ~/.sauerbraten/config.cfg, see
+1) Config files are in the ~/.sauerbraten directory.
+2) If you want add new bindings into ~/.sauerbraten/config.cfg, see
 
    %%DATADIR%%/data/keymap.cfg.
 
-4) Enjoy it ;)
+3) Enjoy it ;)
 
 ###############################################################################

Modified: head/games/sauerbraten/files/sauer_client.in
==============================================================================
--- head/games/sauerbraten/files/sauer_client.in	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/files/sauer_client.in	Sun Mar 24 19:11:38 2013	(r315151)
@@ -1,18 +1,4 @@
 #!/bin/sh
 
-# The executable needs to be run from its data directory, and needs to store
-# configuration in it. We therefore mirror the data directory hierarchy in
-# ~/.sauerbraten, and create symlinks to the data files.
-
-if [ -d ~/.sauerbraten ]
-then
-	echo "Using existing ~/.sauerbraten directory."
-else
-	echo "Creating ~/.sauerbraten directory."
-	cd %%DATADIR%% || exit 1
-	find * -type d -exec mkdir -p ~/.sauerbraten/{} \;
-	find * -type f -exec ln -s %%DATADIR%%/{} ~/.sauerbraten/{} \; 2>/dev/null
-fi
-
-cd ~/.sauerbraten || exit 1
-exec %%PREFIX%%/libexec/sauer_client "$@"
+SAUER_OPTIONS="-q${HOME}/.sauerbraten"
+cd %%DATADIR%% && exec %%PREFIX%%/libexec/sauer_client ${SAUER_OPTIONS} "$@"

Modified: head/games/sauerbraten/files/sauer_master.in
==============================================================================
--- head/games/sauerbraten/files/sauer_master.in	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/files/sauer_master.in	Sun Mar 24 19:11:38 2013	(r315151)
@@ -1,18 +1,4 @@
 #!/bin/sh
 
-# The executable needs to be run from its data directory, and needs to store
-# configuration in it. We therefore mirror the data directory hierarchy in
-# ~/.sauerbraten, and create symlinks to the data files.
-
-if [ -d ~/.sauerbraten ]
-then
-	echo "Using existing ~/.sauerbraten directory."
-else
-	echo "Creating ~/.sauerbraten directory."
-	cd %%DATADIR%% || exit 1
-	find * -type d -exec mkdir -p ~/.sauerbraten/{} \;
-	find * -type f -exec ln -s %%DATADIR%%/{} ~/.sauerbraten/{} \; 2>/dev/null
-fi
-
-cd ~/.sauerbraten || exit 1
-exec %%PREFIX%%/libexec/sauer_master "$@"
+SAUER_OPTIONS="-q${HOME}/.sauerbraten"
+cd %%DATADIR%% && exec %%PREFIX%%/libexec/sauer_master ${SAUER_OPTIONS} "$@"

Modified: head/games/sauerbraten/files/sauer_server.in
==============================================================================
--- head/games/sauerbraten/files/sauer_server.in	Sun Mar 24 17:43:23 2013	(r315150)
+++ head/games/sauerbraten/files/sauer_server.in	Sun Mar 24 19:11:38 2013	(r315151)
@@ -1,18 +1,4 @@
 #!/bin/sh
 
-# The executable needs to be run from its data directory, and needs to store
-# configuration in it. We therefore mirror the data directory hierarchy in
-# ~/.sauerbraten, and create symlinks to the data files.
-
-if [ -d ~/.sauerbraten ]
-then
-	echo "Using existing ~/.sauerbraten directory."
-else
-	echo "Creating ~/.sauerbraten directory."
-	cd %%DATADIR%% || exit 1
-	find * -type d -exec mkdir -p ~/.sauerbraten/{} \;
-	find * -type f -exec ln -s %%DATADIR%%/{} ~/.sauerbraten/{} \; 2>/dev/null
-fi
-
-cd ~/.sauerbraten || exit 1
-exec %%PREFIX%%/libexec/sauer_server "$@"
+SAUER_OPTIONS="-q${HOME}/.sauerbraten"
+cd %%DATADIR%% && exec %%PREFIX%%/libexec/sauer_server ${SAUER_OPTIONS} "$@"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"